Skip to main content

Retrieve a collection of PEER (P2P) payments

GET 

/api/wallet_transaction_details

This API endpoint is intended to retrieve a collection of PEER (P2P) payments, specifically recent P2P payments for an account.

Request

Query Parameters

    page integer

    Default value: 1

    The collection page number

    itemsPerPage integer

    Possible values: <= 50

    Default value: 30

    The number of items per page

    pagination boolean

    Enable or disable pagination

    currency string
    amount[lt] string
    amount[lte] string
    amount[gt] string
    amount[gte] string
    executionDate[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    order[id] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

Responses

OK - The request was processed successfully.

Schema
  • Array [
  • id integer
    currency string
    amount string
    executionDate string
    collateral boolean
    side string

    Possible values: [sender, receiver]

    senderCompanyName string
    receiverCompanyName string
    senderAccount integernull
    receiverAccount integernull
    comment stringnull
    contact integer
    status string

    Possible values: [created, pending, transferred, canceled]

    fromAutomation boolean
  • ]
Loading...